Subject: bug#65401: closed (Re: bug#65401: 30.0.50; custom-theme-directory :type could be enhanced)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Aug 2023 08:03:02 +0000

Your bug report

#65401: 30.0.50; custom-theme-directory :type could be enhanced

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65401: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65401
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65401: 30.0.50; custom-theme-directory :type could be enhanced
From: Eli Zaretskii <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 26 Aug 2023 11:02:28 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 21 Aug 2023 11:46:26 -0300
> Cc: Philip Kaludercic <[email-masked]>, [email-masked]
> From: Mauro Aranda <[email-masked]>
> 
> Stefan Monnier <[email-masked]> writes:
> 
>  >>> > -  :type 'string
>  >>> > +  :type 'directory
>  >>> >    :group 'customize
>  >>> > -  :version "22.1")
>  >>> > +  :version "30.1")
>  >>>
>  >>> Does the version tag have to be bumped, for a metadata change this 
> like?
>  >>
>  >> Probably not.  AFAIK, this is only used for showing "new and changed"
>  >> options when users upgrade, and this change will be invisible at
>  >> user level.
>  >
>  > Agreed.
>  >
>  >
>  >         Stefan
> 
> Sending an updated patch.  Thanks.

Thanks, installed on the master branch, and closing the bug.

Subject: 30.0.50; custom-theme-directory :type could be enhanced
From: Mauro Aranda <[email-masked]>
To: [email-masked]
Date: Sun, 20 Aug 2023 07:48:09 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

The user option custom-theme-directory is supposed to hold a directory
name.  But its :type is a string.

I realize that it isn't really a bug, but in order to offer better
completion, at least, I'd like to change the type to be directory.  So
I'm filing this bug report to see if people would object to such a
change.